<?php
/**
 * Ce fichier contient les fonctions de service nécessitées par le plugin Cache Factory.
 */
if (!defined('_ECRIRE_INC_VERSION')) {
	return;
}

/**
 * Renvoie la configuration spécifique des caches de Rainette.
 *
 * @param string $plugin Identifiant qui permet de distinguer le module appelant qui peut-être un plugin comme le noiZetier ou
 *                       un script. Pour un plugin, le plus pertinent est d'utiliser le préfixe.
 *
 * @return array Tableau de la configuration des types de cache du plugin.
 */
function territoires_cache_configurer($plugin) {

	// Initialisation du tableau de configuration avec les valeurs par défaut du plugin Cache.
	$configuration = array(
		'asynchrone' => array(
			'racine'          => '_DIR_TMP',
			'sous_dossier'    => false,
			'nom_obligatoire' => array('type', 'pays', 'fonction'),
			'nom_facultatif'  => array(),
			'extension'       => '.php',
			'securisation'    => true,
			'serialisation'   => true,
			'separateur'      => '_',
			'conservation'    => 0
		),
	);

	return $configuration;
}
